cascading.flow.local.stream.element

## Class SyncMergeStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<TupleEntry,TupleEntry>
      - - cascading.flow.stream.element.MergeStage
        - - cascading.flow.local.stream.element.SyncMergeStage

- All Implemented Interfaces:
    Collapsing, ElementDuct

      public class SyncMergeStage
      extends MergeStage

  A version of Merge that synchronizes the receives for local mode

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.MergeStage

      `completeCount`

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncMergeStage(FlowProcess flowProcess, FlowElement flowElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receive(Duct previous, int ordinal, TupleEntry tupleEntry)` synchronized, as by default, each source gets its turn, no concurrent threads.

    - ### Methods inherited from class cascading.flow.stream.element.MergeStage

      `bind, complete, initialize, start`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, prepare, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncMergeStage

          public SyncMergeStage(FlowProcess flowProcess,
                        FlowElement flowElement)

  - ### Method Detail

    - #### receive

          public void receive(Duct previous,
                     int ordinal,
                     TupleEntry tupleEntry)

      synchronized, as by default, each source gets its turn, no concurrent threads. Except in local mode
      Overrides:
        `receive` in class `Stage<TupleEntry,TupleEntry>`
      Parameters:
        `previous` -
        `ordinal` -
        `tupleEntry` -

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.